Package org.bukkit.material

# Class SimpleAttachableMaterialData

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.SimpleAttachableMaterialData

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`

Direct Known Subclasses:
  `Button`, `Ladder`, `Lever`, `Torch`, `TrapDoor`, `TripwireHook`

@Deprecated public abstract class SimpleAttachableMaterialData extends MaterialData implements Attachable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Simple utility class for attachable MaterialData subclasses

## Constructor Summary

Constructors
Constructor
Description
`SimpleAttachableMaterialData(Material type)`
Deprecated.
`SimpleAttachableMaterialData(Material type, byte data)`
Deprecated.
Magic value
`SimpleAttachableMaterialData(Material type, BlockFace direction)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`SimpleAttachableMaterialData`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.material.Attachable

`getAttachedFace`

### Methods inherited from interface org.bukkit.material.Directional

`setFacingDirection`

## Constructor Details

### SimpleAttachableMaterialData

public SimpleAttachableMaterialData(Material type, BlockFace direction)
Deprecated.

### SimpleAttachableMaterialData

public SimpleAttachableMaterialData(Material type)
Deprecated.

### SimpleAttachableMaterialData

@Deprecated public SimpleAttachableMaterialData(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public SimpleAttachableMaterialData clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`